use crate::utils::prop_structs::PageChildren;
use dioxus::prelude::*;

pub fn PageBase<'a>(cx: Scope<'a, PageChildren<'a>>) -> Element {
    cx.render(rsx!{
        div { class: "min-h-screen",
            div { class: "container space-y-4 mx-auto p-4",
                &cx.props.children
            }
        }
    })
}
